const system = require("../../system");
const ServiceBase = require("../sve.base")
const settings = require("../../../config/settings")
class SiteThemeService extends ServiceBase {
  constructor() {
    super(ServiceBase.getDaoName(SiteThemeService));
  }
  async getThemeBySitetheme(sitetheme) {
    var item = await this.dao.model.findOne({
      where: { isEnabled: 1, siteTheme: sitetheme },
      raw: true
    });
    if (!item) {
      return { code: -201, msg: "主题信息有误" }
    }
    return { code: 1, msg: "ok", data: item }
  }
}
module.exports = SiteThemeService;
